*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html, body{
    width: 100%;
    min-height: 100%;
    background-color: black;
}

body{
    display: flex;
    justify-content: center;
    align-items: center;
    background-image: url('assets/pexels-8moments.webp');
    background-size: cover;
    background-position-x: right;
}

main{
    width: 1000px;    
    display: grid;
    grid-template-columns: 2fr 3fr;
    gap: 12px;
    background: rgb(0,0,0,0.75);
    border-radius: 12px;
    padding: 12px;
}

main > div{
    padding: 12px;
}

.left{    
    text-align: center;
}

.left img{
    width: 100%;
    border-radius: 4px;
}

button{
    margin-top: 12px;
    padding: 12px;
    border-radius: 8px;
    cursor: pointer;
    font-size: 1.25rem;
    background-color: #9EDF9C;
    font-size: 2rem;
    font-weight: bold;
}

.right{
    color:white;    
    padding: 24px;
    text-align: center;
}

.right p{
    font-size: 1.5rem;
    margin-bottom: 10px;
    text-align: left;
}

.right h2{
    margin-top: 32px;
    margin-bottom: 32px;
}

.right span{
    font-size: 6rem;
    letter-spacing: -0.55rem;    
    -webkit-text-stroke: 5px black;
    paint-order: stroke;
}

modal{
    position: fixed;
    width: 100%;
    min-height: 100%;
    background-color: black;
    left: 0;
    top: 0;
    display: none;
    justify-content: center;
    align-items: center;
}

modal.open{
    display: flex;
}

modal main{
    max-width: 1000px;

}

modal img{
    max-width: 100%;
    max-height: 100%;
}

modal p{
    color: white;
    margin-bottom: 12px;
    font-size: 1.5rem;
}

modal a{
    color:red;
}

modal textarea{
    width: 100%;
    padding: 12px;
    background-color: #ccc;
    border-radius: 4px;
}

.textarea-holder{
    position: relative;
}

.textarea-holder .message{  
    display: none;  
    position: absolute; 
    font-size: 1rem;
    background: black;
    color: white;
    padding: 4px;
    border-radius: 4px;
    top: 0;
    left: 50%;
    transform: translate(-50%, -50%);
    width: max-content;
}

.textarea-holder .message.show{
    display: flex;
}

@media screen and (max-width: 800px) {
    main{
        display: flex;
        flex-direction: column;
    }
    body{
        height: unset;
    }
}